
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;
import java.util.List;

/**
 * @author miriam.baglioni
 * @Date 21/02/24
 */
public class Organization implements Serializable {
	private String local_identifier; // id
	private List<Identifier> identifiers; // pid.qualifier.classid; pid.value list
	private String name; // legalname.value

	private String short_name; // legalshortname.value
	private List<String> other_names;// alternative_names.value list
	private String website;// websiteurl.value
	private String country; // country.classid
	private String type; // map relevant types from the ec* fields of organisations. If no match, default to "other"

	public String getLocal_identifier() {
		return local_identifier;
	}

	public void setLocal_identifier(String local_identifier) {
		this.local_identifier = local_identifier;
	}

	public List<Identifier> getIdentifiers() {
		return identifiers;
	}

	public void setIdentifiers(List<Identifier> identifiers) {
		this.identifiers = identifiers;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getShort_name() {
		return short_name;
	}

	public void setShort_name(String short_name) {
		this.short_name = short_name;
	}

	public List<String> getOther_names() {
		return other_names;
	}

	public void setOther_names(List<String> other_names) {
		this.other_names = other_names;
	}

	public String getWebsite() {
		return website;
	}

	public void setWebsite(String website) {
		this.website = website;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}
